Skip to content

Reply to a ticket

Request

You can reply to a ticket with a note from an admin.

Security
bearerAuth
Path
idstring(Ticket ID)required

The id of the ticket to target.

Not the Inbox ticket ID

This is the internal id field from the API response, not the ticket_id displayed in the Intercom Inbox (e.g., #12345). Use the id value from the ticket object returned by the API.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
Bodyapplication/json
bodystringrequired

The message body of the note, which may contain HTML.

Example:"<p>Okay!</p>"
message_typestring

The type of the reply. Only note is supported at the moment.

Default:"note"
Example:"note"
admin_idstringrequired

The id of the admin who is making the note.

Example:"1234"
curl -i -X POST \
  https://api.intercom.io/tickets/123/reply \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.9' \
  -d '{
    "message_type": "note",
    "type": "admin",
    "admin_id": 991267687,
    "body": "<html> <body>  <h2>An Unordered HTML List</h2>  <ul>   <li>Coffee</li>   <li>Tea</li>   <li>Milk</li> </ul>    <h2>An Ordered HTML List</h2>  <ol>   <li>Coffee</li>   <li>Tea</li>   <li>Milk</li> </ol>   </body> </html>"
  }'

Responses

Admin note reply

Bodyapplication/json
typestring

Always ticket_part

Value:"ticket_part"
Example:"ticket_part"
idstring

The id representing the note.

Example:"3"
part_typestring

Always note

Value:"note"
Example:"note"
bodystring or null

The message body, which may contain HTML.

Example:"<p>Okay!</p>"
created_atinteger, (date-time)

The time the note was created.

Example:1663597223
updated_atinteger, (date-time)

The last time the note was updated.

Example:1663597260

The author that wrote or triggered the part. Can be a bot, admin, team or user.

attachmentsArray of objects(Ticket part attachments)

A list of attachments for the part.

redactedboolean

Whether or not the ticket part has been redacted.

Example:false
Response
{ "type": "ticket_part", "id": "98", "part_type": "note", "body": "<h2>An Unordered HTML List</h2>\n<ul>\n<li>Coffee</li>\n<li>Tea</li>\n<li>Milk</li>\n</ul>\n<h2>An Ordered HTML List</h2>\n<ol>\n<li>Coffee</li>\n<li>Tea</li>\n<li>Milk</li>\n</ol>", "created_at": 1717021664, "updated_at": 1717021664, "author": { "id": "991267687", "type": "admin", "name": "Ciaran382 Lee", "email": "admin382@email.com" }, "attachments": [], "redacted": false }